<div fxLayout="column" class="card">
  <mat-card>
    <mat-card-title>Historial de compras</mat-card-title>
    <mat-card-content>
      <app-tabla
        *ngIf="dataToShow.length > 0; else noData"
        [tableHeader]="header"
        [dat]="dataToShow"
        [activeSelect]="false"
        [showElevation]="false"
        [showOptions]="false"
      >
      </app-tabla>
      <ng-template #noData>
        <h4>No se econtraron datos para mostrar</h4>
      </ng-template>
      <h4>Total: {{ this.total }}</h4>
    </mat-card-content>
    <mat-card-actions> </mat-card-actions>
  </mat-card>
</div>
